AusweisApp2(1)

BEZEICHNUNG
AusweisApp2 - Offizielle Authentisierung-App für deutsche Ausweise und Aufenthaltsberechtigungen

ÜBERSICHT

AusweisApp2 [-h|--help]
AusweisApp2 [--help-all]
AusweisApp2 [-v|--version]
AusweisApp2 [--show]
AusweisApp2 [--keep] [--no-logfile] [--no-loghandler] [--show] [--no-proxy] [--ui { qml|websocket }] [--port PORT] [--address ADRESSE]

BESCHREIBUNG
AusweisApp2 erlaubt es Ihnen, sich gegen Websites mittels Ihres deutschen Personalausweises und Ihrer Aufenthaltsberechtigung zu authentisieren.

Folgendes benötigen Sie:
* einen Ausweis, bei dem die Online-Identifizierung aktiviert ist
* Ein kompatibles NFC-Gerät (die meisten NFC-Lesegeräte sollten funktionieren, NFC-aktivierte Mobiltelephone können auch verwandt werden)
* AusweisApp2
* Einen Browser
* Eine Website, die die Authentisierung mittels deutscher Ausweise erlaubt

Wenn Sie eine solche Website besuchen, wird AusweisApp2 ausgelöst und wird Sie fragen, ob Sie sich bei der Website authentisieren möchten.

Als Schnittstelle wird das Programm Ihrem Browser einen lokalen Webserver bereitstellen.

OPTIONEN

-h, --help
    Zeigt eine kurze Hilfemeldung an.

--help-all
    Zeigt eine Hilfe einschließlich QT-spezifischer Optionen an.

-v, --version
    Zeigt Versionsinformationen an.

--keep
    Standardmäßig schreibt AusweisApp2 eine Protokolldatei, deren Name auf ${TMP}/AusweisApp2.*.log passt. Wenn sich das Programm beendet, wird diese gelöscht. Diese Einstellung verhindert das Löschen.

--no-logfile
    Unterdrückt das Schreiben einer Protokolldatei nach ${TMP}/AusweisApp2.*.log. Auf die Standardausgabe wird weiterhin protokolliert.

--no-loghandler
    Deaktiviert die standarmäßige Aussteuerung des Protokolls. Damit wird die Protokollierung nach STDOUT deaktiviert.

--show
    Zeigt beim Starten ein Fenster.

--no-proxy
    Deaktiviert den System-Proxy.

--ui { qml|webservice|websocket }
    Diese Option erlaubt mehrere Werte. - »qml« wird das Programm mit einer sichtbaren UI starten. - »websocket« lässt es im Hintergrund als SDK starten. Dies ist nur nützlich, wenn Sie AusweisApp2 in andere Programme integrieren. - »webservice« beginnt das Warten auf Anfragen auf dem angegebenen Port/der angegebenen Adresse.

    Vorgabe ist »qml,webservice,websocket«.

--port PORT
    Ändert den Port, an dem der WebSocket auf Anfragen wartet. Vorgabe ist 24727. Die Auswahl von »0« ist ein Spezialfall. AusweisApp2 wird dann einen zufälligen Port auswählen und die Port-Nummer in eine Datei in ${TMP}/AusweisApp2.<PID>.port schreiben.

--address ADRESSE
    Verwendet die angegebene Adresse für die Anbindung der Oberfläche. Normalerweise wird AusweisApp2 nur an Localhost gebunden, da dies eine Sicherheitsanforderung ist. Nur zum Testen nützlich. Diese Option erlaubt mehrere Werte.

RÜCKGABEWERT
Wenn AusweisApp2 erfolgreich beendet wird, wird 0 zurückgegeben.

UMGEBUNGSVARIABLEN

QT_QPA_PLATFORM={ wayland|X11 }
    Sie können den Sitzungstyp »wayland« oder »X11« erzwingen. Dies ist nur zur Fehlersuche notwendig. Unter GNOME wird XDG_SESSION_TYPE ignoriert.

DATEIEN

~/.config/AusweisApp2_CE/AusweisApp2.conf Dateipfad, unter dem die Benutzerkonfiguration gespeichert wird.

WARNUNGEN
Derzeit gibt es unter GNOME keine Möglichkeit, das Programm zu beenden, da das TrayIcon verpflichtend ist.

AUTOR
Diese Handbuchseite wurde von Lee Garrett (debian@rocketjump.eu) für Debian geschrieben, kann von anderen aber verwandt werden.

SIEHE AUCH
https://www.ausweisapp.bund.de/de
https://www.ausweisapp.bund.de/sdk

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).